Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
[Groovy] Class XmlCommandRegistrar

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.XmlCommandRegistrar

    class XmlCommandRegistrar

Registers Command instances from and XML file.

Authors:
  Jason Dillon

Version:
  \$Id\$

Constructor Summary
`XmlCommandRegistrar(Shell shell, java.lang.ClassLoader classLoader)`

Method Summary
`void` | `register(java.net.URL url)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### XmlCommandRegistrar

    XmlCommandRegistrar(Shell shell, java.lang.ClassLoader classLoader)

Method Detail

### register

    void register(java.net.URL url)

Groovy Documentation